Productsup
CDE APIApi referenceApplication

Update Authentication registrations to connector version

These authentications will create options on the connector forms for the user to authenticate with the chosen services. *Note*: This will move the connector version to updating/updated state.

Sign in to run requests against the CDE API.
PUT
/connectors/{publicId}/versions/{connectorVersion}/authentication-registrations

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/authentication-registrations" \  -H "Content-Type: application/json" \  -d '{    "authentication-registrations": [      30    ],    "authentication-registrations-additional-fields": [      "option-1",      "option-2",      "option-3"    ]  }'
{
  "message": "Authentication registration successfully updated."
}
{
  "message": "Bad request.",
  "errors": {
    "authentication-registrations": "Given values are not int: \"1\",\"2\""
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Connector not found."
}

How is this guide?